As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 410456 - URL autocomplete shows double entries
: URL autocomplete shows double entries
Status: RESOLVED FIXED
: regression, verified1.8.1.12
Product: Core
Classification: Components
Component: XBL (show other bugs)
: 1.8 Branch
: x86 Linux
: -- major (vote)
: ---
Assigned To: Boris Zbarsky [:bz] (still a bit busy)
:
: Andrew Overholt [:overholt]
Mentors:
: 412482 (view as bug list)
Depends on:
Blocks: 398006 410666
  Show dependency treegraph
 
Reported: 2008-01-02 00:40 PST by Andrew Schultz
Modified: 2008-03-18 07:16 PDT (History)
14 users (show)
dveditz: blocking1.8.1.12+
asac: blocking1.8.0.next-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image Andrew Schultz 2008-01-02 00:40:28 PST
Current SeaMonkey from the 1.8 branch shows double entries for the URL autocomplete dropdown.  This regressed due to bug 398006.  Trunk does not have this problem.

1. Visit www.mozilla.org
2. Type "m" in the URL bar.

result:
"http://www.mozilla.org/ - Mozilla.org - H... http://www.mozilla.org - Mozilla.org - H..."

should be
"http://www.mozilla.org/ - Mozilla.org - H..."
Comment 1 User image Ria Klaassen (not reading all bugmail) 2008-01-02 06:53:35 PST
Doesn't happen with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.12pre) Gecko/20080102 BonEcho/2.0.0.12pre
Comment 2 User image Boris Zbarsky [:bz] (still a bit busy) 2008-01-04 10:36:20 PST
Looks like I can make the bug go away by simply dropping on the floor ctors that would run from PostCreate when we're in frame construction (e.g. ctors triggered by fields) instead of adding them to the attached queue.  At the same time, it doesn't look like any ctor runs twice here...  So I'm not sure why the doubling happens.
Comment 4 User image Andrew Schultz 2008-01-15 14:11:06 PST
*** Bug 412482 has been marked as a duplicate of this bug. ***
Comment 5 User image Daniel Veditz [:dveditz] 2008-01-16 13:39:46 PST
backout of bug 398006 approved for 1.8.1.12, a=dveditz for release-drivers
Comment 6 User image Boris Zbarsky [:bz] (still a bit busy) 2008-01-17 21:35:09 PST
I backed out the patch for bug 398006.
Comment 7 User image Stephen Donner [:stephend] 2008-01-28 20:28:21 PST
Not seeing this with Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12pre) Gecko/20080128 SeaMonkey/1.1.8pre; verified.

Replacing fixed1.8.1.12 keyword with verified1.8.1.12.
Comment 8 User image Alexander Sack 2008-03-12 09:17:19 PDT
needs to be verified for 1.8.0.15 after bug #398006 has landed.
Comment 9 User image Alexander Sack 2008-03-18 07:16:28 PDT
bug #398006 won't land on branches.

Note You need to log in before you can comment on or make changes to this bug.